JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const audience = await client.audiences.create('acct_01j9a43avnfqzbjfch6pygv1td', {
name: 'The Family',
});
console.log(audience.id);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
audience = client.audiences.create(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
name="The Family",
)
print(audience.id)require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
audience = surge.audiences.create("acct_01j9a43avnfqzbjfch6pygv1td", name: "The Family")
puts(audience)curl --request POST \
--url https://api.surge.app/accounts/{account_id}/audiences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "The Family"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.surge.app/accounts/{account_id}/audiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'The Family'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.surge.app/accounts/{account_id}/audiences"
payload := strings.NewReader("{\n \"name\": \"The Family\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/audiences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"The Family\"\n}")
.asString();{
"id": "aud_01j9dy8mdzfn3r0e8x1tbdrdrf",
"name": "The Family"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Audiences
Create audience
Create a named audience (contact group) that you can reuse across multiple blast sends.
POST
/
accounts
/
{account_id}
/
audiences
JavaScript
import Surge from '@surgeapi/node';
const client = new Surge({
apiKey: process.env['SURGE_API_KEY'], // This is the default and can be omitted
});
const audience = await client.audiences.create('acct_01j9a43avnfqzbjfch6pygv1td', {
name: 'The Family',
});
console.log(audience.id);import os
from surge import Surge
client = Surge(
api_key=os.environ.get("SURGE_API_KEY"), # This is the default and can be omitted
)
audience = client.audiences.create(
account_id="acct_01j9a43avnfqzbjfch6pygv1td",
name="The Family",
)
print(audience.id)require "surge_api"
surge = SurgeAPI::Client.new(api_key: "My API Key")
audience = surge.audiences.create("acct_01j9a43avnfqzbjfch6pygv1td", name: "The Family")
puts(audience)curl --request POST \
--url https://api.surge.app/accounts/{account_id}/audiences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "The Family"
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.surge.app/accounts/{account_id}/audiences",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'The Family'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.surge.app/accounts/{account_id}/audiences"
payload := strings.NewReader("{\n \"name\": \"The Family\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.surge.app/accounts/{account_id}/audiences")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"The Family\"\n}")
.asString();{
"id": "aud_01j9dy8mdzfn3r0e8x1tbdrdrf",
"name": "The Family"
}{
"error": {
"message": "The requested resource could not be found.",
"type": "not_found"
}
}Authorizations
Path Parameters
Body
application/json